VTK: vtkInteractorEventRecorder Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Types | Protected Member Functions | Static Protected Member Functions | Protected Attributes | Static Protected Attributes | List of all members
vtkInteractorEventRecorder Class Reference

record and play VTK events passing through a vtkRenderWindowInteractor More...

`#include <vtkInteractorEventRecorder.h>`

Inheritance diagram for vtkInteractorEventRecorder:
[legend]
Collaboration diagram for vtkInteractorEventRecorder:
[legend]

## Public Types
enum class | vtkEventDataType : int { None = 0 , StringArray }
typedef vtkInteractorObserver | Superclass
Public Types inherited from vtkInteractorObserver
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkInteractorEventRecorder * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | SetEnabled (int) override
| Methods for turning the interactor observer on and off, and determining its state. More...
void | SetInteractor (vtkRenderWindowInteractor *iren) override
| This method is used to associate the widget with the render window interactor. More...
void | Record ()
| Invoke this method to begin recording events. More...
void | Play ()
| Invoke this method to begin playing events from the current position. More...
void | Stop ()
| Invoke this method to stop recording/playing events. More...
void | Clear ()
| Invoke this method to clear recording/playing stream and be able to open another file using the same recorder. More...
void | Rewind ()
| Rewind the play stream to the beginning of the file. More...
| vtkSetFilePathMacro (FileName)
| Set/Get the name of a file events should be written to/from. More...
| vtkGetFilePathMacro (FileName)
| Set/Get the name of a file events should be written to/from. More...
virtual void | SetReadFromInputString (vtkTypeBool)
| Enable reading from an InputString as compared to the default behavior, which is to read from a file. More...
virtual vtkTypeBool | GetReadFromInputString ()
| Enable reading from an InputString as compared to the default behavior, which is to read from a file. More...
virtual void | ReadFromInputStringOn ()
| Enable reading from an InputString as compared to the default behavior, which is to read from a file. More...
virtual void | ReadFromInputStringOff ()
| Enable reading from an InputString as compared to the default behavior, which is to read from a file. More...
virtual void | SetInputString (const char *)
| Set/Get the string to read from. More...
virtual char * | GetInputString ()
| Set/Get the string to read from. More...
Public Member Functions inherited from vtkInteractorObserver
vtkInteractorObserver * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
int | GetEnabled ()
void | EnabledOn ()
void | EnabledOff ()
void | On ()
void | Off ()
virtual void | OnChar ()
| Sets up the keypress-i event. More...
virtual vtkRenderWindowInteractor * | GetInteractor ()
| This method is used to associate the widget with the render window interactor. More...
virtual void | SetPriority (float)
| Set/Get the priority at which events are processed. More...
virtual float | GetPriority ()
| Set/Get the priority at which events are processed. More...
virtual void | PickingManagedOn ()
| Enable/Disable the use of a manager to process the picking. More...
virtual void | PickingManagedOff ()
| Enable/Disable the use of a manager to process the picking. More...
virtual void | SetPickingManaged (bool managed)
| Enable/Disable the use of a manager to process the picking. More...
virtual bool | GetPickingManaged ()
| Enable/Disable the use of a manager to process the picking. More...
virtual void | SetKeyPressActivation (vtkTypeBool)
| Enable/Disable of the use of a keypress to turn on and off the interactor observer. More...
virtual vtkTypeBool | GetKeyPressActivation ()
| Enable/Disable of the use of a keypress to turn on and off the interactor observer. More...
virtual void | KeyPressActivationOn ()
| Enable/Disable of the use of a keypress to turn on and off the interactor observer. More...
virtual void | KeyPressActivationOff ()
| Enable/Disable of the use of a keypress to turn on and off the interactor observer. More...
virtual void | SetKeyPressActivationValue (char)
| Specify which key press value to use to activate the interactor observer (if key press activation is enabled). More...
virtual char | GetKeyPressActivationValue ()
| Specify which key press value to use to activate the interactor observer (if key press activation is enabled). More...
virtual vtkRenderer * | GetDefaultRenderer ()
| Set/Get the default renderer to use when activating the interactor observer. More...
virtual void | SetDefaultRenderer (vtkRenderer *)
| Set/Get the default renderer to use when activating the interactor observer. More...
virtual vtkRenderer * | GetCurrentRenderer ()
| Set/Get the current renderer. More...
virtual void | SetCurrentRenderer (vtkRenderer *)
| Set/Get the current renderer. More...
void | GrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods enable an interactor observer to exclusively grab all events invoked by its associated vtkRenderWindowInteractor. More...
void | ReleaseFocus ()
| These methods enable an interactor observer to exclusively grab all events invoked by its associated vtkRenderWindowInteractor. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkInteractorEventRecorder * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkInteractorEventRecorder * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkInteractorObserver
static vtkTypeBool | IsTypeOf (const char *type)
static vtkInteractorObserver * | SafeDownCast (vtkObjectBase *o)
static void | ComputeDisplayToWorld (vtkRenderer *ren, double x, double y, double z, double worldPt[4])
| Convenience methods for outside classes. More...
static void | ComputeWorldToDisplay (vtkRenderer *ren, double x, double y, double z, double displayPt[3])
| Convenience methods for outside classes. More...
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Types
enum | WidgetState { Start = 0 , Playing , Recording }
enum | ModifierKey { ShiftKey = 1 , ControlKey = 2 , AltKey = 4 }

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkInteractorEventRecorder ()
| ~vtkInteractorEventRecorder () override
virtual void | WriteEvent (const char *event, int pos[2], int modifiers, int keyCode, int repeatCount, char *keySym, void *callData=nullptr)
virtual void | ReadEvent ()
virtual void | ReadEvent (const std::string &line)
| A method that parse a event line and invoke the corresponding event. More...
Protected Member Functions inherited from vtkInteractorObserver
| vtkInteractorObserver ()
| ~vtkInteractorObserver () override
virtual void | RegisterPickers ()
| Register internal Pickers in the Picking Manager. More...
void | UnRegisterPickers ()
| Unregister internal pickers from the Picking Manager. More...
vtkPickingManager * | GetPickingManager ()
| Return the picking manager associated on the context on which the observer currently belong. More...
vtkAssemblyPath * | GetAssemblyPath (double X, double Y, double Z, vtkAbstractPropPicker *picker)
| Proceed to a pick, whether through the PickingManager if the picking is managed or directly using the picker, and return the assembly path. More...
int | RequestCursorShape (int requestedShape)
virtual void | StartInteraction ()
| Utility routines used to start and end interaction. More...
virtual void | EndInteraction ()
| Utility routines used to start and end interaction. More...
void | ComputeDisplayToWorld (double x, double y, double z, double worldPt[4])
| Helper method for subclasses. More...
void | ComputeWorldToDisplay (double x, double y, double z, double displayPt[3])
| Helper method for subclasses. More...
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Static Protected Member Functions
static void | ProcessCharEvent (vtkObject *object, unsigned long event, void *clientdata, void *calldata)
static void | ProcessDeleteEvent (vtkObject *object, unsigned long event, void *clientdata, void *calldata)
static void | ProcessEvents (vtkObject *object, unsigned long event, void *clientdata, void *calldata)
Static Protected Member Functions inherited from vtkInteractorObserver
static void | ProcessEvents (vtkObject *object, unsigned long event, void *clientdata, void *calldata)
| Handles the char widget activation event. More...
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()

## Protected Attributes
char * | FileName
vtkCallbackCommand * | DeleteEventCallbackCommand
vtkTypeBool | ReadFromInputString
char * | InputString
istream * | InputStream
ostream * | OutputStream
int | State
float | CurrentStreamVersion
Protected Attributes inherited from vtkInteractorObserver
int | Enabled
vtkCallbackCommand * | EventCallbackCommand
vtkCallbackCommand * | KeyPressCallbackCommand
float | Priority
bool | PickingManaged
vtkTypeBool | KeyPressActivation
char | KeyPressActivationValue
vtkRenderWindowInteractor * | Interactor
vtkRenderer * | CurrentRenderer
vtkRenderer * | DefaultRenderer
unsigned long | CharObserverTag
unsigned long | DeleteObserverTag
vtkObserverMediator * | ObserverMediator
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Static Protected Attributes
static float | StreamVersion

## Detailed Description

record and play VTK events passing through a vtkRenderWindowInteractor

vtkInteractorEventRecorder records all VTK events invoked from a vtkRenderWindowInteractor. The events are recorded to a file. vtkInteractorEventRecorder can also be used to play those events back and invoke them on an vtkRenderWindowInteractor. (Note: the events can also be played back from a file or string.)

Event client data can be recorded as args and will be provided on replay. The following event current support data to be recorded:

- DropFilesEvents: record a string array

The format of the event file is simple. It is: EventName X Y ctrl shift keycode repeatCount keySym dataType [dataNum] [dataVal] [dataVal] The format also allows "#" comments. dataType is defined as follows:

- 0 -> None
- 1 -> StringArray

See also
  vtkInteractorObserver vtkCallback

Events:
  vtkCommand::DisableEvent vtkCommand::EnableEvent

Tests:
  vtkInteractorEventRecorder (Tests)

Definition at line 46 of file vtkInteractorEventRecorder.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkInteractorObserver vtkInteractorEventRecorder::Superclass

Definition at line 50 of file vtkInteractorEventRecorder.h.

## Member Enumeration Documentation

## ◆ vtkEventDataType

enum vtkInteractorEventRecorder::vtkEventDataType : int
| strong

Enumerator
None |
StringArray |

Definition at line 54 of file vtkInteractorEventRecorder.h.

## ◆ WidgetState

enum vtkInteractorEventRecorder::WidgetState
| protected

Enumerator
Start |
Playing |
Recording |

Definition at line 161 of file vtkInteractorEventRecorder.h.

## ◆ ModifierKey

enum vtkInteractorEventRecorder::ModifierKey
| protected

Enumerator
ShiftKey |
ControlKey |
AltKey |

Definition at line 169 of file vtkInteractorEventRecorder.h.

## Constructor & Destructor Documentation

## ◆ vtkInteractorEventRecorder()

vtkInteractorEventRecorder::vtkInteractorEventRecorder | ( |  | ) |
| protected

## ◆ ~vtkInteractorEventRecorder()

vtkInteractorEventRecorder::~vtkInteractorEventRecorder | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ New()

static vtkInteractorEventRecorder* vtkInteractorEventRecorder::New | ( |  | ) |
| static

## ◆ IsTypeOf()

static vtkTypeBool vtkInteractorEventRecorder::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkInteractorEventRecorder::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkInteractorObserver.

## ◆ SafeDownCast()

static vtkInteractorEventRecorder* vtkInteractorEventRecorder::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkInteractorEventRecorder::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtkInteractorObserver.

## ◆ NewInstance()

vtkInteractorEventRecorder* vtkInteractorEventRecorder::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkInteractorEventRecorder::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkObject.

## ◆ SetEnabled()

void vtkInteractorEventRecorder::SetEnabled | ( | int |  | ) |
| overridevirtual

Methods for turning the interactor observer on and off, and determining its state.

All subclasses must provide the SetEnabled() method. Enabling a vtkInteractorObserver has the side effect of adding observers; disabling it removes the observers. Prior to enabling the vtkInteractorObserver you must set the render window interactor (via SetInteractor()). Initial value is 0.

Reimplemented from vtkInteractorObserver.

## ◆ SetInteractor()

void vtkInteractorEventRecorder::SetInteractor | ( | vtkRenderWindowInteractor * | iren | ) |
| overridevirtual

This method is used to associate the widget with the render window interactor.

Observers of the appropriate events invoked in the render window interactor are set up as a result of this method invocation. The SetInteractor() method must be invoked prior to enabling the vtkInteractorObserver. It automatically registers available pickers to the Picking Manager.

Reimplemented from vtkInteractorObserver.

## ◆ vtkSetFilePathMacro()

vtkInteractorEventRecorder::vtkSetFilePathMacro | ( | FileName |  | ) |

Set/Get the name of a file events should be written to/from.

Will be ignored once record/play has been called.

## ◆ vtkGetFilePathMacro()

vtkInteractorEventRecorder::vtkGetFilePathMacro | ( | FileName |  | ) |

Set/Get the name of a file events should be written to/from.

Will be ignored once record/play has been called.

## ◆ Record()

void vtkInteractorEventRecorder::Record | ( |  | ) |

Invoke this method to begin recording events.

The events will be recorded to the filename indicated. Once record has been called once, filename will be ignored.

## ◆ Play()

void vtkInteractorEventRecorder::Play | ( |  | ) |

Invoke this method to begin playing events from the current position.

The events will be played back from the filename indicated. Once play has been called once, filename will be ignored.

## ◆ Stop()

void vtkInteractorEventRecorder::Stop | ( |  | ) |

Invoke this method to stop recording/playing events.

## ◆ Clear()

void vtkInteractorEventRecorder::Clear | ( |  | ) |

Invoke this method to clear recording/playing stream and be able to open another file using the same recorder.

## ◆ Rewind()

void vtkInteractorEventRecorder::Rewind | ( |  | ) |

Rewind the play stream to the beginning of the file.

## ◆ SetReadFromInputString()

virtual void vtkInteractorEventRecorder::SetReadFromInputString | ( | vtkTypeBool |  | ) |
| virtual

Enable reading from an InputString as compared to the default behavior, which is to read from a file.

## ◆ GetReadFromInputString()

virtual vtkTypeBool vtkInteractorEventRecorder::GetReadFromInputString | ( |  | ) |
| virtual

Enable reading from an InputString as compared to the default behavior, which is to read from a file.

## ◆ ReadFromInputStringOn()

virtual void vtkInteractorEventRecorder::ReadFromInputStringOn | ( |  | ) |
| virtual

Enable reading from an InputString as compared to the default behavior, which is to read from a file.

## ◆ ReadFromInputStringOff()

virtual void vtkInteractorEventRecorder::ReadFromInputStringOff | ( |  | ) |
| virtual

Enable reading from an InputString as compared to the default behavior, which is to read from a file.

## ◆ SetInputString()

virtual void vtkInteractorEventRecorder::SetInputString | ( | const char * |  | ) |
| virtual

Set/Get the string to read from.

## ◆ GetInputString()

virtual char* vtkInteractorEventRecorder::GetInputString | ( |  | ) |
| virtual

Set/Get the string to read from.

## ◆ ProcessCharEvent()

static void vtkInteractorEventRecorder::ProcessCharEvent | ( | vtkObject * | object,
|  | unsigned long | event,
|  | void * | clientdata,
|  | void * | calldata
| ) |  |
| staticprotected

## ◆ ProcessDeleteEvent()

static void vtkInteractorEventRecorder::ProcessDeleteEvent | ( | vtkObject * | object,
|  | unsigned long | event,
|  | void * | clientdata,
|  | void * | calldata
| ) |  |
| staticprotected

## ◆ ProcessEvents()

static void vtkInteractorEventRecorder::ProcessEvents | ( | vtkObject * | object,
|  | unsigned long | event,
|  | void * | clientdata,
|  | void * | calldata
| ) |  |
| staticprotected

## ◆ WriteEvent()

virtual void vtkInteractorEventRecorder::WriteEvent | ( | const char * | event,
|  | int | pos[2],
|  | int | modifiers,
|  | int | keyCode,
|  | int | repeatCount,
|  | char * | keySym,
|  | void * | callData = `nullptr`
| ) |  |
| protectedvirtual

## ◆ ReadEvent() [1/2]

virtual void vtkInteractorEventRecorder::ReadEvent | ( |  | ) |
| inlineprotectedvirtual

Definition at line 152 of file vtkInteractorEventRecorder.h.

## ◆ ReadEvent() [2/2]

virtual void vtkInteractorEventRecorder::ReadEvent | ( | const std::string & | line | ) |
| protectedvirtual

A method that parse a event line and invoke the corresponding event.

## Member Data Documentation

## ◆ FileName

char* vtkInteractorEventRecorder::FileName
| protected

Definition at line 126 of file vtkInteractorEventRecorder.h.

## ◆ DeleteEventCallbackCommand

vtkCallbackCommand* vtkInteractorEventRecorder::DeleteEventCallbackCommand
| protected

Definition at line 129 of file vtkInteractorEventRecorder.h.

## ◆ ReadFromInputString

vtkTypeBool vtkInteractorEventRecorder::ReadFromInputString
| protected

Definition at line 132 of file vtkInteractorEventRecorder.h.

## ◆ InputString

char* vtkInteractorEventRecorder::InputString
| protected

Definition at line 133 of file vtkInteractorEventRecorder.h.

## ◆ InputStream

istream* vtkInteractorEventRecorder::InputStream
| protected

Definition at line 136 of file vtkInteractorEventRecorder.h.

## ◆ OutputStream

ostream* vtkInteractorEventRecorder::OutputStream
| protected

Definition at line 137 of file vtkInteractorEventRecorder.h.

## ◆ State

int vtkInteractorEventRecorder::State
| protected

Definition at line 160 of file vtkInteractorEventRecorder.h.

## ◆ StreamVersion

float vtkInteractorEventRecorder::StreamVersion
| staticprotected

Definition at line 176 of file vtkInteractorEventRecorder.h.

## ◆ CurrentStreamVersion

float vtkInteractorEventRecorder::CurrentStreamVersion
| protected

Definition at line 177 of file vtkInteractorEventRecorder.h.

The documentation for this class was generated from the following file:

- Rendering/Core/vtkInteractorEventRecorder.h